%global srcname prometheus_client

Summary:        Python client for Prometheus
Name:           python-%{srcname}
Version:        0.17.1
Release:        1%{?dist}
License:        ASL 2.0
URL:            https://github.com/prometheus/client_python
Source:         %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

Patch0001:      0001-Remove-the-bundled-decorator-package.patch

BuildArch:      noarch

%description
Python client for Prometheus.

%package -n python3-%{srcname}
Summary:        Python client for Prometheus
BuildRequires:  python3-devel python3-setuptools python3dist(decorator) python3dist(pytest)

%description -n python3-%{srcname}
Python client for Prometheus.

%package -n python3-%{srcname}+twisted
Summary:        Python client for Prometheus
Requires:       python3-%{srcname} = %{version}-%{release}
Requires:       python%{python3_version}dist(twisted)
BuildRequires:  python3dist(twisted)

%description -n python3-%{srcname}+twisted
Python client for Prometheus.
"twisted" extras.

%prep
%autosetup -p1 -n client_python-%{version}
sed -i -e '1{/^#!/d}' prometheus_client/__init__.py

%build
%py3_build

%install
%py3_install

%check
%{__python3} -m pytest -v

%files -n python3-%{srcname}
%license LICENSE
%doc README.md MAINTAINERS.md
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*.egg-info/

%files -n python3-%{srcname}+twisted
%ghost %{python3_sitelib}/%{srcname}-*.egg-info/

%changelog
* Mon Sep 25 2023 Miaojun Dong <zoedong@tencent.com> - 0.17.1-1
- Bump version to 0.17.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.1-6
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.1-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.1-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.1-3
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 26 2022 Miaojun Dong <zoedong@tencent.com> - 0.13.1-2
- Revert subpackage file contents

* Tue Dec 20 2022 Miaojun Dong <zoedong@tencent.com> - 0.13.1-1
- initial build
